Subject: Re: (ngtrans) Input Part 1: draft-ietf-ngtrans-6to4-03.txt

From: Brian E Carpenter <[email-masked]>
Date: Wed, 01 Mar 2000 18:56:16 -0600

Jim,

The 6to4 update will make it out pretty close to the deadline. There will be updates in response to most of the comments you
sent as Part 1 and all of those as Part 2. 
I will just comment here on points where we may not agree.

Jim Bound wrote:
> 
> Brian and Keith,
> 
> Here is input part 1 from several members of the Compaq IPv6 engineering
> team (Jack McCann, Sowmini Varadhan, Gerri Harter, Vlad Yasevich, Ken
> Powell, Mary Clouter, and Jim Bound). 
 ...
> 5.2.2 Summary of relay router configuration
> 
>    On its 6to4 IPv6 pseudo-interface, the relay router advertises
>    whatever IPv6 native prefixes its local policy permits, from among
>    those reachable through its native IPv6 interface. In the simplest
>    case, a default route to the whole IPv6 address space could be
>    advertised. It has been suggested that these routes could actually by
>   advertised along with IPv4 routes using BGP4 over IPv4, rather than
>    by running a separate BGP4+ session.
> 
> We cannot see the benefit of discussing BGP or BGP+ in the spec.  But if
> you want to talk about it please define how it will work, which is a lot
> of work for you authors.  But it is not needed.  But if you want to
> provide an appendix with diagrams and how BGP4 vs BGP+ will work that
> may be useful to realworld network operators without a doubt, but not
> clear it is needed in this specification.  And in its present terse form
> it is difficult at best to apply applicability assertions to the spec based
> on the above text.

I have added the alternative simple case where BGP4+ is not used, but I am 
convinced that without covering the BGP4+ scenario the document would not describe 
the full power of 6to4. OTOH I don't see why we need to include a description
of how BGP4+ works. I have added the necessary references and generally
clarified the text.
> 
> It may also be wise to get out of the business of trying to explain how
> route-exchanges are done within the spec.

Same response.
...
> 
> Section 5.3 Variant scenarios with tunnels.
> 
> This section should be expanded with examples and as one case which
> is in the scope of this works is where a 6to4 node sends to a native
> IPv6 site that does not support 6to4?  There are others.

This won't get done in this document since the authors don't have cycles.
Others are welcome to write it up.

> 
> Src 2002::/???? to Dst 3ffe::/??? will not work without 5.3 above and we
> feel strongly it should be discussed in this transition mechanism.

Why won't it work via a relay router?

   Brian

---

From: Jim Bound <[email-masked]>
Date: Thu, 02 Mar 2000 20:53:57 -0500

Hi Brian,

>I will just comment here on points where we may not agree.

OK cool.  

>Others are welcome to write it up.

I think thats fine let me see if we can help you but can't promise my
cycles are gone until I finish a few other items folks are waiting on.

>Why won't it work via a relay router?

Just move forward it gets back to your response for 5.3.  

We need 6to4 in the market it is a diamond in the rough for IPv6
Deployment.  Will try to help where I can after IETF 47.

regards,
/jim